minput_reset_ic(3m17n)

NAME
minput_reset_ic - Reset an input context.

SYNOPSIS
void minput_reset_ic (MInputContext * ic)

DESCRIPTION
Reset an input context.

The minput_reset_ic() function resets input context ic by calling a callback function corresponding to Minput_reset. It resets the status of ic to its initial one. As the current preedit text is deleted without commitment, if necessary, call minput_filter() with the arg key Mnil to force the input method to commit the preedit in advance.

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.